List purchase orders
curl --request GET \
--url https://www.ruddr.io/api/workspace/purchase-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/purchase-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/purchase-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/purchase-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/purchase-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/purchase-orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/purchase-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "26e06999-0140-464f-8daa-ee323202d7e0",
"number": "PO-2026-0042",
"name": "Website Redesign 2026",
"amount": 50000,
"currency": "USD",
"includeTax": true,
"isActive": true,
"start": "2026-01-01",
"end": "2026-12-31",
"notes": "Approved by procurement on December 12.",
"createdAt": "2026-01-05T15:21:44.907Z",
"client": {
"id": "b46b9857-672a-47cd-a5ae-b1f3b6e5146e",
"name": "Paul's Boutique"
},
"contact": {
"id": "72ba6b23-d29c-4138-ba46-62e2dffbe2dd",
"name": "Dana Whitfield"
},
"amountUsed": 12500,
"amountAvailable": 37500
}
],
"hasMore": true
}Purchase Orders
List purchase orders
GET
/
purchase-orders
List purchase orders
curl --request GET \
--url https://www.ruddr.io/api/workspace/purchase-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/purchase-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/purchase-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/purchase-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/purchase-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/purchase-orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/purchase-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "26e06999-0140-464f-8daa-ee323202d7e0",
"number": "PO-2026-0042",
"name": "Website Redesign 2026",
"amount": 50000,
"currency": "USD",
"includeTax": true,
"isActive": true,
"start": "2026-01-01",
"end": "2026-12-31",
"notes": "Approved by procurement on December 12.",
"createdAt": "2026-01-05T15:21:44.907Z",
"client": {
"id": "b46b9857-672a-47cd-a5ae-b1f3b6e5146e",
"name": "Paul's Boutique"
},
"contact": {
"id": "72ba6b23-d29c-4138-ba46-62e2dffbe2dd",
"name": "Dana Whitfield"
},
"amountUsed": 12500,
"amountAvailable": 37500
}
],
"hasMore": true
}A client’s authorization to bill up to a set amount. Projects, invoices, and credit notes can be tied to a purchase order to track how much of it is used.